Bug 438119 - Review Request: perl-Object-Signature - Cryptographically strong objects
Review Request: perl-Object-Signature - Cryptographically strong objects
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Object-Si...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 04:29 EDT by Chris Weyl
Modified: 2011-07-11 10:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-24 15:06:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-03-19 04:29:13 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Object-Signature-1.05-1.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Object-Signature.spec

Description:
Object::Signature is an abstract base class that you can inherit from in
order to allow your objects to generate unique cryptographic signatures.
Comment 1 Chris Weyl 2008-03-19 04:30:08 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=521950
Comment 2 Parag AN(पराग) 2008-03-19 05:05:34 EDT
Is this needed here?
BuildRequires:  perl >= 0:5.005
Comment 3 Chris Weyl 2008-03-19 11:48:37 EDT
Not strictly speaking, no, tho it is listed as a requirement in META.yml.

SRPM URL:
http://fedora.biggerontheinside.net/review/perl-Object-Signature-1.05-2.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Object-Signature.spec
Comment 4 Parag AN(पराग) 2008-03-24 08:07:42 EDT
Review:
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=527776
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
b154a57c64ac06bd47b364c924bf3738  Object-Signature-1.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
t/01_compile....ok
t/02_main.......ok
t/99_author.....skipped
        all skipped: Author tests not required for installation
All tests successful, 1 test skipped.
+ Package perl-Object-Signature-1.05-2.fc9 =>
  Provides: perl(Object::Signature) = 1.05
  Requires: perl >= 0:5.005 perl(strict) perl(vars)

APPROVED.
Comment 5 Chris Weyl 2008-03-24 11:15:45 EDT
New Package CVS Request
=======================
Package Name: perl-Object-Signature
Short Description: Cryptographically strong objects
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC: perl-sig
Comment 6 Kevin Fenzi 2008-03-24 12:54:33 EDT
cvs done.
Comment 7 Chris Weyl 2008-03-24 15:06:56 EDT
Importeed and built.  Thanks for the review! :)
Comment 8 Iain Arnell 2011-07-11 06:38:07 EDT
Package Change Request
======================
Package Name: perl-Object-Signature
New Branches: el6
Owners: iarnell

Chris doesn't maintain his packages in EPEL, but doesn't have a problem with others doing so.
Comment 9 Jon Ciesla 2011-07-11 10:58:18 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.